/* $Id: i18ntool.h 24 2024-02-18 13:44:39Z nishi $ */
#ifndef __I18NTOOL_I18NTOOL_H__
#define __I18NTOOL_I18NTOOL_H__

#define $ i18ntool_get
#define I18NTOOL_VERSION "1.5C"

#include <stdio.h>

struct i18n {
	FILE* fp;
	char** handles;
	char** index;
};

struct i18n* i18ntool_open(const char* name);
struct i18n* i18ntool_empty(void);
void i18ntool_free(struct i18n* i18n);
char* i18ntool_get(struct i18n* i18n, const char* key, const char* fallback);
char** i18ntool_getkeys(struct i18n* i18n);
int i18ntool_write(struct i18n* i18n, const char* path);
void i18ntool_add(struct i18n* i18n, const char* key, const char* value);

#endif
